Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/39549/?format=api
{ "ob_id": 39549, "uuid": "35a3e7e5ad2946859ac31c36605486f0", "title": "ESA Greenland Ice Sheet Climate Change Initiative (Greenland_Ice_Sheet_cci): Machine Learning Generated Greenland Calving Front Locations v1.0", "abstract": "Calving Front locations for Upernavik A,E,F, Humboldt and Hagen glaciers in Greenland, generated by a deep learning based model using Sentinel-2 imagery.\r\n\r\nThe calving front location is generated by a deep learning based model using Sentinel-2 imagery acquired from 2019-2020. The digitized calving fronts are stored in geoJSON vector file format and include metadata information on the sensor and processing steps in the corresponding attribute table.\r\n\r\nThe CCI Calving Front Locations (CFL) v1.0 release contains one primary dataset, the calving front locations, and auxiliary files to describe the file product: locations.png and glaciers.geojson for visualizing the glaciers, README and DESCRIPTION text files about the product structure, and a visual example of what a calving front looks like. The Greenland CCI Calving Front Locations (CFL) v1.0 product is an experimental product using deep learning to automatically derive calving front locations for selected glaciers based on Sentinel-2 imagery at the end of the summer season.\r\n\r\nThe product was generated by S[&]T Norway and ENVEO.", "keywords": "Greenland, Ice sheet, CCI, ESA", "publicationState": "citable", "dataPublishedTime": "2024-05-23T09:56:44", "doiPublishedTime": "2024-05-28T13:27:59", "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/41581/?format=api", "dataPath": "/neodc/esacci/ice_sheets_greenland/data/greenland_ML_calving_front_locations/v1.0", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 3146980, "numberOfFiles": 16, "fileFormat": "txt, geojson, png" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/11684/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/1650/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Data were produced by ENVEO (Environmental Earth Observation Information Technology GmbH) as part of the ESA CCI Greenland Ice Sheet project and were supplied to CEDA in the context of the ESA CCI Open Data Portal Project.\r\n\r\nData are produced within ESA Greenland CCI, stored at http://products.esa-icesheets-cci.org/", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/12918/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/14317/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/14316/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/192840/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/192841/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/192837/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/192838/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/192839/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/192844/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/192835/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/192836/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/192842/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/192843/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": "https://api.catalogue.ceda.ac.uk/api/v2/computations/41686/?format=api", "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2553/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/specific_licences/esacci_icesheets_greenland_terms_and_conditions.pdf", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1140, "name": "ESACCI" } ] }